Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.http.server
Class ServletServerHttpResponse

    java.lang.Object
      org.springframework.http.server.ServletServerHttpResponse

All Implemented Interfaces:
  HttpMessage, HttpOutputMessage, ServerHttpResponse

    public class ServletServerHttpResponse

extends java.lang.Object
implements ServerHttpResponse

`ServerHttpResponse` implementation that is based on a `HttpServletResponse`.

Since:
  3.0
Author:
  Arjen Poutsma

Constructor Summary
`ServletServerHttpResponse(javax.servlet.http.HttpServletResponse servletResponse)` Construct a new instance of the ServletServerHttpResponse based on the given `HttpServletResponse`.

Method Summary
`void` | `close()` Close this response, freeing any resources created.
`java.io.OutputStream` | `getBody()` Return the body of the message as an output stream.
`HttpHeaders` | `getHeaders()` Return the headers of this message.
`javax.servlet.http.HttpServletResponse` | `getServletResponse()` Return the `HttpServletResponse` this object is based on.
`void` | `setStatusCode(HttpStatus status)` Set the HTTP status code of the response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletServerHttpResponse

    public ServletServerHttpResponse(javax.servlet.http.HttpServletResponse servletResponse)

  Construct a new instance of the ServletServerHttpResponse based on the given `HttpServletResponse`.

  Parameters:
    `servletResponse` - the servlet response

Method Detail

### getServletResponse

    public javax.servlet.http.HttpServletResponse getServletResponse()

  Return the `HttpServletResponse` this object is based on.

### setStatusCode

    public void setStatusCode(HttpStatus status)

  Description copied from interface: `ServerHttpResponse`
  Set the HTTP status code of the response.

  Specified by:
    `setStatusCode` in interface `ServerHttpResponse`
  Parameters:
    `status` - the HTTP status as an HttpStatus enum value

### getHeaders

    public HttpHeaders getHeaders()

  Description copied from interface: `HttpMessage`
  Return the headers of this message.

  Specified by:
    `getHeaders` in interface `HttpMessage`
  Returns:
    a corresponding HttpHeaders object

### getBody

    public java.io.OutputStream getBody()
                                 throws java.io.IOException

  Description copied from interface: `HttpOutputMessage`
  Return the body of the message as an output stream.

  Specified by:
    `getBody` in interface `HttpOutputMessage`
  Returns:
    the output stream body
  Throws:
    `java.io.IOException` - in case of I/O Errors

### close

    public void close()

  Description copied from interface: `ServerHttpResponse`
  Close this response, freeing any resources created.

  Specified by:
    `close` in interface `ServerHttpResponse`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD